Next: ccos, Previous: catan, Up: Complex

### 2.8 `catanh`, `catanhf`—complex arc hyperbolic tangent

Synopsis

         #include <complex.h>
         double complex catanh(double complex z);
         float complex catanhf(float complex z);

Description
These functions compute the complex arc hyperbolic tan of z, with branch cuts outside the interval [-1, +1] along the real axis.

`catanhf` is identical to `catanh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex arc hyperbolic tangent value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i*p/2, +i*p/2] along the imaginary axis.

Portability
`catanh` and `catanhf` are ISO C99